IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/84
Addresses2^44
/64 networksPart of one
- Network
2001:db8::1:d000:0:0/84- First address
2001:db8::1:d000:0:0- Last address
2001:db8::1:dfff:ffff:ffff- Addresses
- 17,592,186,044,416 (2^44)
- /64 networks (LANs)
- None: smaller than one /64 LAN
- Full form
2001:0db8:0000:0000:0001:d000:0000:0000- Type
- Documentation 2001:db8::/32
For examples; never used on a network - Reverse DNS zone
d.1.0.0.0.0.0.0.0.0.0.0.0.8.b.d.0.1.0.0.2.ip6.arpa
Split into smaller subnets
2001:db8::1:d000:0:0/84 makes 256 subnets of /92.
| # | Subnet | Last address |
|---|---|---|
| 1 | 2001:db8::1:d000:0:0/92 | 2001:db8::1:d00f:ffff:ffff |
| 2 | 2001:db8::1:d010:0:0/92 | 2001:db8::1:d01f:ffff:ffff |
| 3 | 2001:db8::1:d020:0:0/92 | 2001:db8::1:d02f:ffff:ffff |
| 4 | 2001:db8::1:d030:0:0/92 | 2001:db8::1:d03f:ffff:ffff |
| 5 | 2001:db8::1:d040:0:0/92 | 2001:db8::1:d04f:ffff:ffff |
| 6 | 2001:db8::1:d050:0:0/92 | 2001:db8::1:d05f:ffff:ffff |
| 7 | 2001:db8::1:d060:0:0/92 | 2001:db8::1:d06f:ffff:ffff |
| 8 | 2001:db8::1:d070:0:0/92 | 2001:db8::1:d07f:ffff:ffff |
| 9 | 2001:db8::1:d080:0:0/92 | 2001:db8::1:d08f:ffff:ffff |
| 10 | 2001:db8::1:d090:0:0/92 | 2001:db8::1:d09f:ffff:ffff |
| 11 | 2001:db8::1:d0a0:0:0/92 | 2001:db8::1:d0af:ffff:ffff |
| 12 | 2001:db8::1:d0b0:0:0/92 | 2001:db8::1:d0bf:ffff:ffff |
| 13 | 2001:db8::1:d0c0:0:0/92 | 2001:db8::1:d0cf:ffff:ffff |
| 14 | 2001:db8::1:d0d0:0:0/92 | 2001:db8::1:d0df:ffff:ffff |
| 15 | 2001:db8::1:d0e0:0:0/92 | 2001:db8::1:d0ef:ffff:ffff |
| 16 | 2001:db8::1:d0f0:0:0/92 | 2001:db8::1:d0ff:ffff:ffff |
| 17 | 2001:db8::1:d100:0:0/92 | 2001:db8::1:d10f:ffff:ffff |
| 18 | 2001:db8::1:d110:0:0/92 | 2001:db8::1:d11f:ffff:ffff |
| 19 | 2001:db8::1:d120:0:0/92 | 2001:db8::1:d12f:ffff:ffff |
| 20 | 2001:db8::1:d130:0:0/92 | 2001:db8::1:d13f:ffff:ffff |
| 21 | 2001:db8::1:d140:0:0/92 | 2001:db8::1:d14f:ffff:ffff |
| 22 | 2001:db8::1:d150:0:0/92 | 2001:db8::1:d15f:ffff:ffff |
| 23 | 2001:db8::1:d160:0:0/92 | 2001:db8::1:d16f:ffff:ffff |
| 24 | 2001:db8::1:d170:0:0/92 | 2001:db8::1:d17f:ffff:ffff |
| 25 | 2001:db8::1:d180:0:0/92 | 2001:db8::1:d18f:ffff:ffff |
| 26 | 2001:db8::1:d190:0:0/92 | 2001:db8::1:d19f:ffff:ffff |
| 27 | 2001:db8::1:d1a0:0:0/92 | 2001:db8::1:d1af:ffff:ffff |
| 28 | 2001:db8::1:d1b0:0:0/92 | 2001:db8::1:d1bf:ffff:ffff |
| 29 | 2001:db8::1:d1c0:0:0/92 | 2001:db8::1:d1cf:ffff:ffff |
| 30 | 2001:db8::1:d1d0:0:0/92 | 2001:db8::1:d1df:ffff:ffff |
| 31 | 2001:db8::1:d1e0:0:0/92 | 2001:db8::1:d1ef:ffff:ffff |
| 32 | 2001:db8::1:d1f0:0:0/92 | 2001:db8::1:d1ff:ffff:ffff |
| 33 | 2001:db8::1:d200:0:0/92 | 2001:db8::1:d20f:ffff:ffff |
| 34 | 2001:db8::1:d210:0:0/92 | 2001:db8::1:d21f:ffff:ffff |
| 35 | 2001:db8::1:d220:0:0/92 | 2001:db8::1:d22f:ffff:ffff |
| 36 | 2001:db8::1:d230:0:0/92 | 2001:db8::1:d23f:ffff:ffff |
| 37 | 2001:db8::1:d240:0:0/92 | 2001:db8::1:d24f:ffff:ffff |
| 38 | 2001:db8::1:d250:0:0/92 | 2001:db8::1:d25f:ffff:ffff |
| 39 | 2001:db8::1:d260:0:0/92 | 2001:db8::1:d26f:ffff:ffff |
| 40 | 2001:db8::1:d270:0:0/92 | 2001:db8::1:d27f:ffff:ffff |
| 41 | 2001:db8::1:d280:0:0/92 | 2001:db8::1:d28f:ffff:ffff |
| 42 | 2001:db8::1:d290:0:0/92 | 2001:db8::1:d29f:ffff:ffff |
| 43 | 2001:db8::1:d2a0:0:0/92 | 2001:db8::1:d2af:ffff:ffff |
| 44 | 2001:db8::1:d2b0:0:0/92 | 2001:db8::1:d2bf:ffff:ffff |
| 45 | 2001:db8::1:d2c0:0:0/92 | 2001:db8::1:d2cf:ffff:ffff |
| 46 | 2001:db8::1:d2d0:0:0/92 | 2001:db8::1:d2df:ffff:ffff |
| 47 | 2001:db8::1:d2e0:0:0/92 | 2001:db8::1:d2ef:ffff:ffff |
| 48 | 2001:db8::1:d2f0:0:0/92 | 2001:db8::1:d2ff:ffff:ffff |
| 49 | 2001:db8::1:d300:0:0/92 | 2001:db8::1:d30f:ffff:ffff |
| 50 | 2001:db8::1:d310:0:0/92 | 2001:db8::1:d31f:ffff:ffff |
| 51 | 2001:db8::1:d320:0:0/92 | 2001:db8::1:d32f:ffff:ffff |
| 52 | 2001:db8::1:d330:0:0/92 | 2001:db8::1:d33f:ffff:ffff |
| 53 | 2001:db8::1:d340:0:0/92 | 2001:db8::1:d34f:ffff:ffff |
| 54 | 2001:db8::1:d350:0:0/92 | 2001:db8::1:d35f:ffff:ffff |
| 55 | 2001:db8::1:d360:0:0/92 | 2001:db8::1:d36f:ffff:ffff |
| 56 | 2001:db8::1:d370:0:0/92 | 2001:db8::1:d37f:ffff:ffff |
| 57 | 2001:db8::1:d380:0:0/92 | 2001:db8::1:d38f:ffff:ffff |
| 58 | 2001:db8::1:d390:0:0/92 | 2001:db8::1:d39f:ffff:ffff |
| 59 | 2001:db8::1:d3a0:0:0/92 | 2001:db8::1:d3af:ffff:ffff |
| 60 | 2001:db8::1:d3b0:0:0/92 | 2001:db8::1:d3bf:ffff:ffff |
| 61 | 2001:db8::1:d3c0:0:0/92 | 2001:db8::1:d3cf:ffff:ffff |
| 62 | 2001:db8::1:d3d0:0:0/92 | 2001:db8::1:d3df:ffff:ffff |
| 63 | 2001:db8::1:d3e0:0:0/92 | 2001:db8::1:d3ef:ffff:ffff |
| 64 | 2001:db8::1:d3f0:0:0/92 | 2001:db8::1:d3ff:ffff:ffff |
| 65 | 2001:db8::1:d400:0:0/92 | 2001:db8::1:d40f:ffff:ffff |
| 66 | 2001:db8::1:d410:0:0/92 | 2001:db8::1:d41f:ffff:ffff |
| 67 | 2001:db8::1:d420:0:0/92 | 2001:db8::1:d42f:ffff:ffff |
| 68 | 2001:db8::1:d430:0:0/92 | 2001:db8::1:d43f:ffff:ffff |
| 69 | 2001:db8::1:d440:0:0/92 | 2001:db8::1:d44f:ffff:ffff |
| 70 | 2001:db8::1:d450:0:0/92 | 2001:db8::1:d45f:ffff:ffff |
| 71 | 2001:db8::1:d460:0:0/92 | 2001:db8::1:d46f:ffff:ffff |
| 72 | 2001:db8::1:d470:0:0/92 | 2001:db8::1:d47f:ffff:ffff |
| 73 | 2001:db8::1:d480:0:0/92 | 2001:db8::1:d48f:ffff:ffff |
| 74 | 2001:db8::1:d490:0:0/92 | 2001:db8::1:d49f:ffff:ffff |
| 75 | 2001:db8::1:d4a0:0:0/92 | 2001:db8::1:d4af:ffff:ffff |
| 76 | 2001:db8::1:d4b0:0:0/92 | 2001:db8::1:d4bf:ffff:ffff |
| 77 | 2001:db8::1:d4c0:0:0/92 | 2001:db8::1:d4cf:ffff:ffff |
| 78 | 2001:db8::1:d4d0:0:0/92 | 2001:db8::1:d4df:ffff:ffff |
| 79 | 2001:db8::1:d4e0:0:0/92 | 2001:db8::1:d4ef:ffff:ffff |
| 80 | 2001:db8::1:d4f0:0:0/92 | 2001:db8::1:d4ff:ffff:ffff |
| 81 | 2001:db8::1:d500:0:0/92 | 2001:db8::1:d50f:ffff:ffff |
| 82 | 2001:db8::1:d510:0:0/92 | 2001:db8::1:d51f:ffff:ffff |
| 83 | 2001:db8::1:d520:0:0/92 | 2001:db8::1:d52f:ffff:ffff |
| 84 | 2001:db8::1:d530:0:0/92 | 2001:db8::1:d53f:ffff:ffff |
| 85 | 2001:db8::1:d540:0:0/92 | 2001:db8::1:d54f:ffff:ffff |
| 86 | 2001:db8::1:d550:0:0/92 | 2001:db8::1:d55f:ffff:ffff |
| 87 | 2001:db8::1:d560:0:0/92 | 2001:db8::1:d56f:ffff:ffff |
| 88 | 2001:db8::1:d570:0:0/92 | 2001:db8::1:d57f:ffff:ffff |
| 89 | 2001:db8::1:d580:0:0/92 | 2001:db8::1:d58f:ffff:ffff |
| 90 | 2001:db8::1:d590:0:0/92 | 2001:db8::1:d59f:ffff:ffff |
| 91 | 2001:db8::1:d5a0:0:0/92 | 2001:db8::1:d5af:ffff:ffff |
| 92 | 2001:db8::1:d5b0:0:0/92 | 2001:db8::1:d5bf:ffff:ffff |
| 93 | 2001:db8::1:d5c0:0:0/92 | 2001:db8::1:d5cf:ffff:ffff |
| 94 | 2001:db8::1:d5d0:0:0/92 | 2001:db8::1:d5df:ffff:ffff |
| 95 | 2001:db8::1:d5e0:0:0/92 | 2001:db8::1:d5ef:ffff:ffff |
| 96 | 2001:db8::1:d5f0:0:0/92 | 2001:db8::1:d5ff:ffff:ffff |
| 97 | 2001:db8::1:d600:0:0/92 | 2001:db8::1:d60f:ffff:ffff |
| 98 | 2001:db8::1:d610:0:0/92 | 2001:db8::1:d61f:ffff:ffff |
| 99 | 2001:db8::1:d620:0:0/92 | 2001:db8::1:d62f:ffff:ffff |
| 100 | 2001:db8::1:d630:0:0/92 | 2001:db8::1:d63f:ffff:ffff |
| 101 | 2001:db8::1:d640:0:0/92 | 2001:db8::1:d64f:ffff:ffff |
| 102 | 2001:db8::1:d650:0:0/92 | 2001:db8::1:d65f:ffff:ffff |
| 103 | 2001:db8::1:d660:0:0/92 | 2001:db8::1:d66f:ffff:ffff |
| 104 | 2001:db8::1:d670:0:0/92 | 2001:db8::1:d67f:ffff:ffff |
| 105 | 2001:db8::1:d680:0:0/92 | 2001:db8::1:d68f:ffff:ffff |
| 106 | 2001:db8::1:d690:0:0/92 | 2001:db8::1:d69f:ffff:ffff |
| 107 | 2001:db8::1:d6a0:0:0/92 | 2001:db8::1:d6af:ffff:ffff |
| 108 | 2001:db8::1:d6b0:0:0/92 | 2001:db8::1:d6bf:ffff:ffff |
| 109 | 2001:db8::1:d6c0:0:0/92 | 2001:db8::1:d6cf:ffff:ffff |
| 110 | 2001:db8::1:d6d0:0:0/92 | 2001:db8::1:d6df:ffff:ffff |
| 111 | 2001:db8::1:d6e0:0:0/92 | 2001:db8::1:d6ef:ffff:ffff |
| 112 | 2001:db8::1:d6f0:0:0/92 | 2001:db8::1:d6ff:ffff:ffff |
| 113 | 2001:db8::1:d700:0:0/92 | 2001:db8::1:d70f:ffff:ffff |
| 114 | 2001:db8::1:d710:0:0/92 | 2001:db8::1:d71f:ffff:ffff |
| 115 | 2001:db8::1:d720:0:0/92 | 2001:db8::1:d72f:ffff:ffff |
| 116 | 2001:db8::1:d730:0:0/92 | 2001:db8::1:d73f:ffff:ffff |
| 117 | 2001:db8::1:d740:0:0/92 | 2001:db8::1:d74f:ffff:ffff |
| 118 | 2001:db8::1:d750:0:0/92 | 2001:db8::1:d75f:ffff:ffff |
| 119 | 2001:db8::1:d760:0:0/92 | 2001:db8::1:d76f:ffff:ffff |
| 120 | 2001:db8::1:d770:0:0/92 | 2001:db8::1:d77f:ffff:ffff |
| 121 | 2001:db8::1:d780:0:0/92 | 2001:db8::1:d78f:ffff:ffff |
| 122 | 2001:db8::1:d790:0:0/92 | 2001:db8::1:d79f:ffff:ffff |
| 123 | 2001:db8::1:d7a0:0:0/92 | 2001:db8::1:d7af:ffff:ffff |
| 124 | 2001:db8::1:d7b0:0:0/92 | 2001:db8::1:d7bf:ffff:ffff |
| 125 | 2001:db8::1:d7c0:0:0/92 | 2001:db8::1:d7cf:ffff:ffff |
| 126 | 2001:db8::1:d7d0:0:0/92 | 2001:db8::1:d7df:ffff:ffff |
| 127 | 2001:db8::1:d7e0:0:0/92 | 2001:db8::1:d7ef:ffff:ffff |
| 128 | 2001:db8::1:d7f0:0:0/92 | 2001:db8::1:d7ff:ffff:ffff |
| 129 | 2001:db8::1:d800:0:0/92 | 2001:db8::1:d80f:ffff:ffff |
| 130 | 2001:db8::1:d810:0:0/92 | 2001:db8::1:d81f:ffff:ffff |
| 131 | 2001:db8::1:d820:0:0/92 | 2001:db8::1:d82f:ffff:ffff |
| 132 | 2001:db8::1:d830:0:0/92 | 2001:db8::1:d83f:ffff:ffff |
| 133 | 2001:db8::1:d840:0:0/92 | 2001:db8::1:d84f:ffff:ffff |
| 134 | 2001:db8::1:d850:0:0/92 | 2001:db8::1:d85f:ffff:ffff |
| 135 | 2001:db8::1:d860:0:0/92 | 2001:db8::1:d86f:ffff:ffff |
| 136 | 2001:db8::1:d870:0:0/92 | 2001:db8::1:d87f:ffff:ffff |
| 137 | 2001:db8::1:d880:0:0/92 | 2001:db8::1:d88f:ffff:ffff |
| 138 | 2001:db8::1:d890:0:0/92 | 2001:db8::1:d89f:ffff:ffff |
| 139 | 2001:db8::1:d8a0:0:0/92 | 2001:db8::1:d8af:ffff:ffff |
| 140 | 2001:db8::1:d8b0:0:0/92 | 2001:db8::1:d8bf:ffff:ffff |
| 141 | 2001:db8::1:d8c0:0:0/92 | 2001:db8::1:d8cf:ffff:ffff |
| 142 | 2001:db8::1:d8d0:0:0/92 | 2001:db8::1:d8df:ffff:ffff |
| 143 | 2001:db8::1:d8e0:0:0/92 | 2001:db8::1:d8ef:ffff:ffff |
| 144 | 2001:db8::1:d8f0:0:0/92 | 2001:db8::1:d8ff:ffff:ffff |
| 145 | 2001:db8::1:d900:0:0/92 | 2001:db8::1:d90f:ffff:ffff |
| 146 | 2001:db8::1:d910:0:0/92 | 2001:db8::1:d91f:ffff:ffff |
| 147 | 2001:db8::1:d920:0:0/92 | 2001:db8::1:d92f:ffff:ffff |
| 148 | 2001:db8::1:d930:0:0/92 | 2001:db8::1:d93f:ffff:ffff |
| 149 | 2001:db8::1:d940:0:0/92 | 2001:db8::1:d94f:ffff:ffff |
| 150 | 2001:db8::1:d950:0:0/92 | 2001:db8::1:d95f:ffff:ffff |
| 151 | 2001:db8::1:d960:0:0/92 | 2001:db8::1:d96f:ffff:ffff |
| 152 | 2001:db8::1:d970:0:0/92 | 2001:db8::1:d97f:ffff:ffff |
| 153 | 2001:db8::1:d980:0:0/92 | 2001:db8::1:d98f:ffff:ffff |
| 154 | 2001:db8::1:d990:0:0/92 | 2001:db8::1:d99f:ffff:ffff |
| 155 | 2001:db8::1:d9a0:0:0/92 | 2001:db8::1:d9af:ffff:ffff |
| 156 | 2001:db8::1:d9b0:0:0/92 | 2001:db8::1:d9bf:ffff:ffff |
| 157 | 2001:db8::1:d9c0:0:0/92 | 2001:db8::1:d9cf:ffff:ffff |
| 158 | 2001:db8::1:d9d0:0:0/92 | 2001:db8::1:d9df:ffff:ffff |
| 159 | 2001:db8::1:d9e0:0:0/92 | 2001:db8::1:d9ef:ffff:ffff |
| 160 | 2001:db8::1:d9f0:0:0/92 | 2001:db8::1:d9ff:ffff:ffff |
| 161 | 2001:db8::1:da00:0:0/92 | 2001:db8::1:da0f:ffff:ffff |
| 162 | 2001:db8::1:da10:0:0/92 | 2001:db8::1:da1f:ffff:ffff |
| 163 | 2001:db8::1:da20:0:0/92 | 2001:db8::1:da2f:ffff:ffff |
| 164 | 2001:db8::1:da30:0:0/92 | 2001:db8::1:da3f:ffff:ffff |
| 165 | 2001:db8::1:da40:0:0/92 | 2001:db8::1:da4f:ffff:ffff |
| 166 | 2001:db8::1:da50:0:0/92 | 2001:db8::1:da5f:ffff:ffff |
| 167 | 2001:db8::1:da60:0:0/92 | 2001:db8::1:da6f:ffff:ffff |
| 168 | 2001:db8::1:da70:0:0/92 | 2001:db8::1:da7f:ffff:ffff |
| 169 | 2001:db8::1:da80:0:0/92 | 2001:db8::1:da8f:ffff:ffff |
| 170 | 2001:db8::1:da90:0:0/92 | 2001:db8::1:da9f:ffff:ffff |
| 171 | 2001:db8::1:daa0:0:0/92 | 2001:db8::1:daaf:ffff:ffff |
| 172 | 2001:db8::1:dab0:0:0/92 | 2001:db8::1:dabf:ffff:ffff |
| 173 | 2001:db8::1:dac0:0:0/92 | 2001:db8::1:dacf:ffff:ffff |
| 174 | 2001:db8::1:dad0:0:0/92 | 2001:db8::1:dadf:ffff:ffff |
| 175 | 2001:db8::1:dae0:0:0/92 | 2001:db8::1:daef:ffff:ffff |
| 176 | 2001:db8::1:daf0:0:0/92 | 2001:db8::1:daff:ffff:ffff |
| 177 | 2001:db8::1:db00:0:0/92 | 2001:db8::1:db0f:ffff:ffff |
| 178 | 2001:db8::1:db10:0:0/92 | 2001:db8::1:db1f:ffff:ffff |
| 179 | 2001:db8::1:db20:0:0/92 | 2001:db8::1:db2f:ffff:ffff |
| 180 | 2001:db8::1:db30:0:0/92 | 2001:db8::1:db3f:ffff:ffff |
| 181 | 2001:db8::1:db40:0:0/92 | 2001:db8::1:db4f:ffff:ffff |
| 182 | 2001:db8::1:db50:0:0/92 | 2001:db8::1:db5f:ffff:ffff |
| 183 | 2001:db8::1:db60:0:0/92 | 2001:db8::1:db6f:ffff:ffff |
| 184 | 2001:db8::1:db70:0:0/92 | 2001:db8::1:db7f:ffff:ffff |
| 185 | 2001:db8::1:db80:0:0/92 | 2001:db8::1:db8f:ffff:ffff |
| 186 | 2001:db8::1:db90:0:0/92 | 2001:db8::1:db9f:ffff:ffff |
| 187 | 2001:db8::1:dba0:0:0/92 | 2001:db8::1:dbaf:ffff:ffff |
| 188 | 2001:db8::1:dbb0:0:0/92 | 2001:db8::1:dbbf:ffff:ffff |
| 189 | 2001:db8::1:dbc0:0:0/92 | 2001:db8::1:dbcf:ffff:ffff |
| 190 | 2001:db8::1:dbd0:0:0/92 | 2001:db8::1:dbdf:ffff:ffff |
| 191 | 2001:db8::1:dbe0:0:0/92 | 2001:db8::1:dbef:ffff:ffff |
| 192 | 2001:db8::1:dbf0:0:0/92 | 2001:db8::1:dbff:ffff:ffff |
| 193 | 2001:db8::1:dc00:0:0/92 | 2001:db8::1:dc0f:ffff:ffff |
| 194 | 2001:db8::1:dc10:0:0/92 | 2001:db8::1:dc1f:ffff:ffff |
| 195 | 2001:db8::1:dc20:0:0/92 | 2001:db8::1:dc2f:ffff:ffff |
| 196 | 2001:db8::1:dc30:0:0/92 | 2001:db8::1:dc3f:ffff:ffff |
| 197 | 2001:db8::1:dc40:0:0/92 | 2001:db8::1:dc4f:ffff:ffff |
| 198 | 2001:db8::1:dc50:0:0/92 | 2001:db8::1:dc5f:ffff:ffff |
| 199 | 2001:db8::1:dc60:0:0/92 | 2001:db8::1:dc6f:ffff:ffff |
| 200 | 2001:db8::1:dc70:0:0/92 | 2001:db8::1:dc7f:ffff:ffff |
| 201 | 2001:db8::1:dc80:0:0/92 | 2001:db8::1:dc8f:ffff:ffff |
| 202 | 2001:db8::1:dc90:0:0/92 | 2001:db8::1:dc9f:ffff:ffff |
| 203 | 2001:db8::1:dca0:0:0/92 | 2001:db8::1:dcaf:ffff:ffff |
| 204 | 2001:db8::1:dcb0:0:0/92 | 2001:db8::1:dcbf:ffff:ffff |
| 205 | 2001:db8::1:dcc0:0:0/92 | 2001:db8::1:dccf:ffff:ffff |
| 206 | 2001:db8::1:dcd0:0:0/92 | 2001:db8::1:dcdf:ffff:ffff |
| 207 | 2001:db8::1:dce0:0:0/92 | 2001:db8::1:dcef:ffff:ffff |
| 208 | 2001:db8::1:dcf0:0:0/92 | 2001:db8::1:dcff:ffff:ffff |
| 209 | 2001:db8::1:dd00:0:0/92 | 2001:db8::1:dd0f:ffff:ffff |
| 210 | 2001:db8::1:dd10:0:0/92 | 2001:db8::1:dd1f:ffff:ffff |
| 211 | 2001:db8::1:dd20:0:0/92 | 2001:db8::1:dd2f:ffff:ffff |
| 212 | 2001:db8::1:dd30:0:0/92 | 2001:db8::1:dd3f:ffff:ffff |
| 213 | 2001:db8::1:dd40:0:0/92 | 2001:db8::1:dd4f:ffff:ffff |
| 214 | 2001:db8::1:dd50:0:0/92 | 2001:db8::1:dd5f:ffff:ffff |
| 215 | 2001:db8::1:dd60:0:0/92 | 2001:db8::1:dd6f:ffff:ffff |
| 216 | 2001:db8::1:dd70:0:0/92 | 2001:db8::1:dd7f:ffff:ffff |
| 217 | 2001:db8::1:dd80:0:0/92 | 2001:db8::1:dd8f:ffff:ffff |
| 218 | 2001:db8::1:dd90:0:0/92 | 2001:db8::1:dd9f:ffff:ffff |
| 219 | 2001:db8::1:dda0:0:0/92 | 2001:db8::1:ddaf:ffff:ffff |
| 220 | 2001:db8::1:ddb0:0:0/92 | 2001:db8::1:ddbf:ffff:ffff |
| 221 | 2001:db8::1:ddc0:0:0/92 | 2001:db8::1:ddcf:ffff:ffff |
| 222 | 2001:db8::1:ddd0:0:0/92 | 2001:db8::1:dddf:ffff:ffff |
| 223 | 2001:db8::1:dde0:0:0/92 | 2001:db8::1:ddef:ffff:ffff |
| 224 | 2001:db8::1:ddf0:0:0/92 | 2001:db8::1:ddff:ffff:ffff |
| 225 | 2001:db8::1:de00:0:0/92 | 2001:db8::1:de0f:ffff:ffff |
| 226 | 2001:db8::1:de10:0:0/92 | 2001:db8::1:de1f:ffff:ffff |
| 227 | 2001:db8::1:de20:0:0/92 | 2001:db8::1:de2f:ffff:ffff |
| 228 | 2001:db8::1:de30:0:0/92 | 2001:db8::1:de3f:ffff:ffff |
| 229 | 2001:db8::1:de40:0:0/92 | 2001:db8::1:de4f:ffff:ffff |
| 230 | 2001:db8::1:de50:0:0/92 | 2001:db8::1:de5f:ffff:ffff |
| 231 | 2001:db8::1:de60:0:0/92 | 2001:db8::1:de6f:ffff:ffff |
| 232 | 2001:db8::1:de70:0:0/92 | 2001:db8::1:de7f:ffff:ffff |
| 233 | 2001:db8::1:de80:0:0/92 | 2001:db8::1:de8f:ffff:ffff |
| 234 | 2001:db8::1:de90:0:0/92 | 2001:db8::1:de9f:ffff:ffff |
| 235 | 2001:db8::1:dea0:0:0/92 | 2001:db8::1:deaf:ffff:ffff |
| 236 | 2001:db8::1:deb0:0:0/92 | 2001:db8::1:debf:ffff:ffff |
| 237 | 2001:db8::1:dec0:0:0/92 | 2001:db8::1:decf:ffff:ffff |
| 238 | 2001:db8::1:ded0:0:0/92 | 2001:db8::1:dedf:ffff:ffff |
| 239 | 2001:db8::1:dee0:0:0/92 | 2001:db8::1:deef:ffff:ffff |
| 240 | 2001:db8::1:def0:0:0/92 | 2001:db8::1:deff:ffff:ffff |
| 241 | 2001:db8::1:df00:0:0/92 | 2001:db8::1:df0f:ffff:ffff |
| 242 | 2001:db8::1:df10:0:0/92 | 2001:db8::1:df1f:ffff:ffff |
| 243 | 2001:db8::1:df20:0:0/92 | 2001:db8::1:df2f:ffff:ffff |
| 244 | 2001:db8::1:df30:0:0/92 | 2001:db8::1:df3f:ffff:ffff |
| 245 | 2001:db8::1:df40:0:0/92 | 2001:db8::1:df4f:ffff:ffff |
| 246 | 2001:db8::1:df50:0:0/92 | 2001:db8::1:df5f:ffff:ffff |
| 247 | 2001:db8::1:df60:0:0/92 | 2001:db8::1:df6f:ffff:ffff |
| 248 | 2001:db8::1:df70:0:0/92 | 2001:db8::1:df7f:ffff:ffff |
| 249 | 2001:db8::1:df80:0:0/92 | 2001:db8::1:df8f:ffff:ffff |
| 250 | 2001:db8::1:df90:0:0/92 | 2001:db8::1:df9f:ffff:ffff |
| 251 | 2001:db8::1:dfa0:0:0/92 | 2001:db8::1:dfaf:ffff:ffff |
| 252 | 2001:db8::1:dfb0:0:0/92 | 2001:db8::1:dfbf:ffff:ffff |
| 253 | 2001:db8::1:dfc0:0:0/92 | 2001:db8::1:dfcf:ffff:ffff |
| 254 | 2001:db8::1:dfd0:0:0/92 | 2001:db8::1:dfdf:ffff:ffff |
| 255 | 2001:db8::1:dfe0:0:0/92 | 2001:db8::1:dfef:ffff:ffff |
| 256 | 2001:db8::1:dff0:0:0/92 | 2001:db8::1:dfff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |